Emencia CRMA
============

Emencia CRMA is a django apps to prepare and send mailings.

It's composed of a daemon or a command that send the mail, a set of models used
to schedule mails, and some utility views.

Installation
------------

Install the application

    pip install -i https://pi.emencia.net/-/ emencia-crma

Add the app in the installed apps

    INSTALLED_APPS = [
        'crma',
    ]

CRMA requires django>=1.8 and the Site contrib app.

Set up the sending process with either the management command `send_mails` or
`send_mail`.

`send_mails` will regularly poll the database for mails to send.  `send_mail`
will gather all ready emails and send them, then leave.

Settings
--------

`CRMA_EMAIL_BACKEND` is the backend class used by CRMA to send mails. It
defaults to the standard email backend.

`CRMA_MAX_MAILS_BY_CONNECTION` is the  maximum number of emails sent in a
connection to the backend.

`CRMA_SECURE` tells CRMA if the URLs it produce should use a HTTPS scheme. It
defaults to True.
