# -*- coding: utf-8 -*-


from import_export import resources

from crma.models import Contact, Subscription


class ContactResource(resources.ModelResource):
    class Meta:
        model = Contact
        fields = [
            'email',
            'lang',
        ]
        import_id_fields = [
            'email',
        ]


class SubscriptionResource(resources.ModelResource):
    class Meta:
        model = Subscription
        fields = [
            'channel',
            'contact',
            'state',
            'unsubscribe_key',
        ]
